REST Resource: organizations.apimServiceExtensions

Resource: ApimServiceExtension

APIM Service Extension is a resource under an Apigee Organization that is used to create APIM Service Extension to route traffic to existing X instances.

JSON representation
{
  "name": string,
  "createTime": string,
  "updateTime": string,
  "lbForwardingRule": string,
  "network": string,
  "networkConfigs": [
    {
      object (NetworkConfig)
    }
  ],
  "extensions": [
    {
      object (Extension)
    }
  ],
  "state": enum (State),
  "extensionProcessor": string
}
Fields
name

string

Identifier. unique name of the APIM service extension. The name must conform with RFC-1034, is restricted to lower-cased letters, numbers and hyphens, and can have a maximum length of 63 characters. Additionally, the first character must be a letter and the last a letter or a number.

createTime

string (Timestamp format)

Output only. The time that this resource was created on the server.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. The time that this resource was updated on the server.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

lbForwardingRule

string

Required. Name of the Google Cloud LB forwarding rule. Format: projects/{project}/regions/{region}/forwardingRules/{forwardingRule} projects/{project}/global/forwardingRules/{forwardingRule}

network

string

Required. The network where the forwarding rule is created. Format: projects/{project}/global/networks/{network}

networkConfigs[]

object (NetworkConfig)

Required. List of network configurations for the APIM service extension.

extensions[]

object (Extension)

Optional. List of extensions that are part of the service extension. Refer to https://cloud.google.com/service-extensions/docs/quotas#limits for any limits.

state

enum (State)

Output only. State of the APIM service extension. Values other than ACTIVE mean the resource is not ready to use.

extensionProcessor

string

Required. Name of the proxy deployed in the Apigee X instance.

NetworkConfig

Network configuration for the APIM service extension.

JSON representation
{
  "region": string,
  "subnet": string
}
Fields
region

string

Required. The region for the PSC NEG.

subnet

string

Required. The subnet for the PSC NEG. Format: projects/{project}/regions/{region}/subnetworks/{subnet}

Extension

Extension configuration for Apigee extension processor service extension.

JSON representation
{
  "name": string,
  "matchCondition": string,
  "failOpen": boolean,
  "hostname": string,
  "supportedEvents": [
    enum (SupportedEvent)
  ]
}
Fields
name

string

Required. Name of the LbTrafficExtension resource. The name must conform with RFC-1034, is restricted to lower-cased letters, numbers and hyphens, and can have a maximum length of 63 characters. Additionally, the first character must be a letter and the last a letter or a number.

matchCondition

string

Optional. Match Condition for CEL expression. Refer to https://cloud.google.com/service-extensions/docs/cel-matcher-language-reference for more details.

failOpen

boolean

Optional. Whether this request should fail open.

hostname

string

Required. One of the hostnames of Apigee EnvGroup where the proxy is deployed. This hostname (i.e FDQN) will be used to route traffic from the specified forwarding rule to the environment in Apigee X instance where the proxy is deployed for handling extension traffic. Format: ^([a-zA-Z0-9. _-])+$

supportedEvents[]

enum (SupportedEvent)

Optional. Supported events for the Service Extension. If not specified, all events are supported.

SupportedEvent

Supported event for the Service Extension.

Enums
SUPPORTED_EVENT_UNSPECIFIED Unspecified event.
REQUEST_HEADERS Request headers event.
REQUEST_BODY Request body event.
RESPONSE_HEADERS Response headers event.
RESPONSE_BODY Response body event.
REQUEST_TRAILERS Request trailers event.
RESPONSE_TRAILERS Response trailers event.

Methods

create

Creates an APIM ServiceExtension in an organization.

delete

Deletes APIM service extension from an organization.

get

Gets APIM service extension details.

list

Lists all APIM service extensions in an organization.

patch

Updates an APIM service extension in an organization.